<?php

define('GITHUB_USER','ldleman');
define('GITHUB_PROJECT','yana-server');
define('ISSUE_TAG','Suggestion');
define('APP_TITLE','Suggestion YANA');

?>

<html>
<head>
<link href='https://fonts.googleapis.com/css?family=Lato:400,100,700' rel='stylesheet' type='text/css'>
<style>

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

	body{
		font-family: 'Lato', sans-serif;
		color:#222222;
		background:#fefefe;
	}
	#questionList{
		width:800px;
		margin:auto;
	}
	#questionList li .userBloc h3{
		font-size:20px;
		color:#cecece;
		margin-top:10px;
	}
	#questionList li{
		background:#ffffff;
		padding:10px;
	}
	#questionList li .userBloc{
		display:inline-block;
		vertical-align:top;
		text-align:center;
		padding-top:20px;
		width:150px;
	}
	#questionList li .userBloc img{
		width:50px;
		height:auto;
		border-radius:50px;
	}
	#questionList li .contentBloc{
		display:inline-block;
		width:600px;
		vertical-align:top;
	}
	#questionList li .contentBloc h1{
		font-size:20px;
		
		margin-top:10px;
	}
	#questionList li .contentBloc small{
		font-size:13px;
		display:block;
		color:#cecece;
		margin-bottom:10px;
	}
	
	#menu{
		width:600px;
		margin:auto;
	}
	
	#menu li{
		padding:5px;
		margin:5px;
		border-bottom:1px solid #cecece;
	}
	#menu li a{
		color:#222222;
	}
	.title{
		font-size:30px;
		font-weight:100px;
		width:600px;
		text-align:center;
		margin:auto;
	}
	#gotop{
		position:fixed;
		bottom:20px;
		right:20px;
		width:30px;
		height:30px;
		background:rgba(0,0,0,0.2);
		color:#ffffff;
		text-decoration:none;
		padding:10px;
		border-radius:30px;
		transition:all 0.2s linear;
	}
	#gotop:hover{
		background:rgba(0,0,0,0.5);
	}
</style>
<body>
<?php


$stream = @file_get_contents('https://api.github.com/repos/'.GITHUB_USER.'/'.GITHUB_PROJECT.'/issues?labels='.ISSUE_TAG);



$issues = json_decode(preg_replace('/[\x00-\x1F\x80-\xFF]/', '', $stream));
echo '<a id="gotop" href="#top">Go Top</a>';
echo '<h1 id="top" class="title">'.APP_TITLE.'</h1>';
echo '<ul id="menu">';
foreach($issues as $issue){
	echo "<li>
	<h1><a href='#$issue->id'>$issue->title</a></li>";
}
echo '</ul>';

echo '<ul id="questionList">';
foreach($issues as $issue){
	echo "<li id='$issue->id'>
	<div class='userBloc'><img src='".$issue->user->avatar_url."'/><h3>".$issue->user->login."</h3></div>
	<div class='contentBloc'>
	<h1>$issue->title</h1><small> le $issue->created_at</small>
	<p>$issue->body</p>
	<a href='$issue->html_url'>Lire la solution</a>
	</div>
	</li>";


}
echo '</ul>';
?>
</body>
</html>



